/trade/ordersAsk AIpost https://trade.api.{env}.bluefin.io/api/v1/trade/ordersSubmit a new order for execution.Body ParamssignedFieldsobjectrequiredsignedFields objectsignaturestringrequiredThe signature of the request, encoded from the signedFieldsclientOrderIdstringThe client-defined unique identifier of this order used for lookup. This should always be unique; however, the server will not gurantee this or impose any checks.typestringenumrequiredThe type of order. (BANKRUPTCY_LIQUIDATION is deprecated)LIMITMARKETSTOP_LIMITSTOP_MARKETLIQUIDATIONSTOP_LOSS_MARKETTAKE_PROFIT_MARKETSTOP_LOSS_LIMITTAKE_PROFIT_LIMITBANKRUPTCY_LIQUIDATIONUNSPECIFIEDShow 11 enum valuesreduceOnlybooleanrequiredIs this order to only reduce a position? Default falsetruefalsepostOnlybooleanDefaults to falseIf set to TRUE, the order can only be a maker ordertruefalsetimeInForcestringenumDefaults to GTTThe time-in-force policy for the order. By default, all orders are GTT. UNSPECIFIED is set to default. GTT: Good Til Time IOC: Immediate Or Cancel FOK: Fill Or KillGTTIOCFOKUNSPECIFIEDAllowed:GTTIOCFOKUNSPECIFIEDtriggerPriceE9stringTrigger price in base e9 for stop orders. This should always be a numberselfTradePreventionTypestringenumDefaults to MAKERThe strategy used to resolve self trades. TAKER: On a self trade, the taker order will be cancelled MAKER: On a self trade, the maker order will be cancelled BOTH: On a self trade, both the taker and the maker order will be cancelled UNSPECIFIED: set to default valueTAKERMAKERBOTHUNSPECIFIEDAllowed:TAKERMAKERBOTHUNSPECIFIEDResponses 200Order creation successful. 202Order creation submitted successfully. 400Bad Request. The request was invalid or malformed. 401Unauthorized. Authentication is required or invalid. Signature is invalid 403Forbidden. 404Not Found. The requested account was not found. 429Too Many Requests. The request was rate limited. 500Internal Server Error. An unexpected error occurred on the server. 503Service Unavailable. The service is currently unavailable.Updated 7 months ago